"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cli = void 0;
const commander_1 = __importDefault(require("commander"));
const path_1 = __importDefault(require("path"));
const core_1 = require("./core");
const log_1 = require("./log");
// cli
const { version } = require('../package.json');
const cli = () => __awaiter(void 0, void 0, void 0, function* () {
    commander_1.default
        .version(version)
        .option('-c, --config [config]', '配置文件相对路径')
        .option('-o, --output [output]', '本地生成博客源md文件路径')
        .option('--userId [userId]', '用户id')
        .option('--cookie [cookie]', 'cookie信息')
        .option('--type [type]', '网站类型，例如csdn juejin等')
        .parse(process.argv);
    let config = {};
    if (commander_1.default.config) {
        // 配置文件
        try {
            config = require(path_1.default.resolve(process.cwd(), commander_1.default.config));
        }
        catch (e) {
            log_1.error(e);
        }
    }
    else {
        // 命令行
        config = {
            output: commander_1.default.output,
            userId: commander_1.default.userId,
            cookie: commander_1.default.cookie,
            type: commander_1.default.type,
        };
    }
    log_1.info('运行配置：', JSON.stringify(config));
    yield core_1.run(config);
});
exports.cli = cli;
exports.cli();
//# sourceMappingURL=cli.js.map