"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Base = void 0;
const axios_1 = __importDefault(require("axios"));
const log_1 = require("../log");
class Base {
    constructor(config) {
        this.config = config;
        axios_1.default.interceptors.request.use((c) => {
            log_1.info(`request: ${c.method} ${c.url}`);
            if (config.cookie) {
                Object.assign(this.headers, {
                    cookie: config.cookie,
                });
            }
            Object.assign(c.headers, this.headers);
            return c;
        });
    }
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            const list = yield this.getMain();
            const resultList = [];
            for (let id of list) {
                log_1.info(`拉取:${id}`);
                let result = yield this.getDetail(id);
                resultList.push(result);
            }
            return resultList;
        });
    }
    getMain() {
        return __awaiter(this, void 0, void 0, function* () {
            log_1.error('实现该方法');
            return [];
        });
    }
    getDetail(id) {
        return __awaiter(this, void 0, void 0, function* () {
            log_1.error('实现该方法');
            return null;
        });
    }
}
exports.Base = Base;
//# sourceMappingURL=base.js.map